#define UI_BG_COLOR    lv_color_black()
#define UI_FRAME_COLOR lv_color_hex(0x282828)
#define UI_FONT_COLOR  lv_color_white()
#define UI_PAGE_COUNT  3

#define MSG_NEW_HOUR   1
#define MSG_NEW_MIN    2
#define MSG_NEW_VOLT   3
#define MSG_NEW_TOUCH_POINT   4
#define MSG_NEW_SEC    5
#define MSG_NEW_USB    6
#define MSG_NEW_OTG_BTN   7

LV_FONT_DECLARE(font_Alibaba);
LV_IMG_DECLARE(lilygo1_gif);
LV_IMG_DECLARE(lilygo2_gif);
LV_IMG_DECLARE(gif_01);
LV_IMG_DECLARE(gif_12);
LV_IMG_DECLARE(gif_23);
LV_IMG_DECLARE(gif_34);
LV_IMG_DECLARE(gif_45);
LV_IMG_DECLARE(gif_56);
LV_IMG_DECLARE(gif_67);
LV_IMG_DECLARE(gif_78);
LV_IMG_DECLARE(gif_89);
LV_IMG_DECLARE(gif_90);

extern uint32_t transfer_num;
extern size_t   lcd_PushColors_len;

void ui_begin();
void lv_delay_ms(int x);
void my_disp_flush(lv_disp_drv_t *disp, const lv_area_t *area, lv_color_t *color_p);